[MASTER] No flash after update of flashplugin-nonfree

Bug #125986 reported by Jef on 2007-07-14
180
This bug affects 3 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
flashplugin-nonfree (Ubuntu)
Undecided
John Vivirito

Bug Description

Binary package hint: firefox

After update, I am asked to install flash when I visit a website (like youtube for example), as if there was no flash plugin installed at all. I had to force previous version to have working flash again.

ProblemType: Bug
Architecture: i386
Date: Sat Jul 14 15:44:43 2007
DistroRelease: Ubuntu 7.04
Package: firefox 2.0.0.4+1-0ubuntu1 [modified: usr/share/firefox/res/forms.css]
PackageArchitecture: i386
SourcePackage: firefox
Uname: Linux jef-laptop 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

Jef (jef-v) wrote :
Jef (jef-v) wrote :

Update is from version 9.0.31.0.2ubuntu1 to 9.0.48.0.0ubuntu1~7.04.0 from feisty-proposed

John Vivirito (gnomefreak) wrote :

Please remove flash from system (sudo apt-get remove --purge flashplugin-nonfree) than reinstall it (sudo apt-get install flashplugin-nonfree) than restart all browsers and update this bug with new info if it worked didnt work anything you saw when doing this that might be needed to know.

Changed in firefox:
assignee: nobody → mozilla-bugs
status: New → Incomplete
John Vivirito (gnomefreak) wrote :

What's the output from `dpkg -l flashplugin-nonfree|grep ^ii`

John Vivirito (gnomefreak) wrote :

This is likely a dup of bug # 125989 but would like info on it first.

Changed in firefox:
assignee: mozilla-bugs → gnomefreak
status: Incomplete → In Progress
John Vivirito (gnomefreak) wrote :

This fixed the missing .xpt and .so files

flashplugin-nonfree (9.0.48.0.0ubuntu2~7.04.0) feisty-proposed; urgency=low

  * SECURITY UPDATE: Arbitrary code execution due to insufficient input
    validation (LP: #125233)
  * References
    http://www.adobe.com/support/security/bulletins/apsb07-12.html
    CVE-2007-3456, CVE-2007-3457, CVE-2007-2022
  * debian/config: Update install_flash_player_9_linux.tar.gz's md5sum

 -- John Vivirito <email address hidden> Sat, 14 Jul 2007 12:49:38 -0400

Jef (jef-v) wrote :

I did uninstall it with --purge option and install it again, and it now works fine !

The result of `dpkg -l flashplugin-nonfree|grep ^ii` gives :

ii flashplugin-nonfree 9.0.48.0.0ubuntu1~7.04.0 Adobe Flash Player plugin installer

John Vivirito (gnomefreak) wrote :

Fix was uploaded for review.

John Vivirito (gnomefreak) wrote :

debdiff for flash

Changed in firefox:
status: In Progress → Fix Committed
John Vivirito (gnomefreak) wrote :

This should be in feisty-proposed repos soon. fix was accepted adn uploaded

Changed in firefox:
status: Fix Committed → Fix Released
Tormod Volden (tormodvolden) wrote :

As commented in duplicate bug #125233 and bug #125131, the flashplugin-nonfree (9.0.48.0.0ubuntu1~7.04.1) now in feisty-proposed will not update the actual plug-in if the system already has a /var/cache/flashplugin-nonfree/install_flash_player_9_linux.tar.gz from a previous install.

BTW, if this is the SRU bug, it should have the correct debdiff attached, and verification-motu-needed tag, and probably a Feisty task.

Changed in flashplugin-nonfree:
status: Fix Released → Fix Committed
Denilson Sá (denilsonsa) wrote :

I don't want to be a troll here, but take a look on how Gentoo guys have fixed this:

http://bugs.gentoo.org/show_bug.cgi?id=185141

Maybe Ubuntu can take a similar approach?

Other related URLs:
http://sources.gentoo.org/viewcvs.py/*checkout*/gentoo-x86/net-www/netscape-flash/ChangeLog
http://packages.gentoo.org/packages/?category=net-www;name=netscape-flash

John Vivirito (gnomefreak) wrote :

Can i get a few users to confirm and comment that it works now. Flash can be installed and works as expected.

Changed in firefox:
status: New → Invalid

Works here.
9.0.48.0.0ubuntu1~7.04.1

On 29/07/07, John Vivirito <email address hidden> wrote:
> Can i get a few users to confirm and comment that it works now. Flash
> can be installed and works as expected.
>
> ** Changed in: firefox (Ubuntu)
> Status: New => Invalid
>
> --
> [MASTER] No flash after update of flashplugin-nonfree
> https://bugs.launchpad.net/bugs/125986
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Marco Rodrigues (gothicx) wrote :

It's working fine :-)

Rouben (rouben) wrote :

I have one confirmation (soon may become two) from a user here: https://answers.launchpad.net/ubuntu/+question/10061

I quote:
"Thanks Rouben, adding the feisty-proposed repository solved the problem.
Installed the latest version of flashplugin with that, and running perfectly on firefox.
Thanks"

b (ben-ekran) wrote :

Hi,

I've not added the feisty-proposed stuff to sources.list, and I'm
getting the same error.

Any ETA when the fix will move from proposed into the main repo?

Thanks,
B.

John Vivirito wrote:
> Can i get a few users to confirm and comment that it works now. Flash
> can be installed and works as expected.
>
> ** Changed in: firefox (Ubuntu)
> Status: New => Invalid
>

Indeed the package in proposed is working.

Thanks,
.b.

b wrote:
> Hi,
>
> I've not added the feisty-proposed stuff to sources.list, and I'm
> getting the same error.
>
> Any ETA when the fix will move from proposed into the main repo?
>
> Thanks,
> B.
>
> John Vivirito wrote:
>> Can i get a few users to confirm and comment that it works now. Flash
>> can be installed and works as expected.
>>
>> ** Changed in: firefox (Ubuntu)
>> Status: New => Invalid
>>
>

It's working on both my feisty and gutsy.

Martin Pitt (pitti) wrote :

Copied to feisty-updates.

Changed in flashplugin-nonfree:
status: Fix Committed → Fix Released
John Vivirito (gnomefreak) wrote :

Thank you everyone for the responses.
Martin thank you for pushing to -updates.

David H (david-houlder) wrote :

Works on dapper too. Can this be pushed to dapper-backports to replace the old one there?
Thanks everyone for all your hard work.

Hey all,

So now the flash plugin is supposedly installed. Apt says this:

08:57:55 (578.85 KB/s) - `./install_flash_player_9_linux.tar.gz' saved
[2608602/2608602]

Download done.
Flash Plugin installed.

Problem is that according to firefox there is no installed flash-player.

Anyhow else seeing this?

I'm using this test flash movie:

http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_15507&sliceId=1

Which does show up, but displays no versions... ? Anyhow else seeing this?

.b.

David H wrote:
> Works on dapper too. Can this be pushed to dapper-backports to replace the old one there?
> Thanks everyone for all your hard work.
>

Rouben (rouben) wrote :

What does about:plugins show?

The upgrade package worked OK for me, I see the Flash player version OK.

John Vivirito (gnomefreak) wrote :

b, can you please give me output of a few commands,
1. apt-cache policy flashplugin-nonfree
2. cat /etc/apt/sources.list
3. Can you please than remove and purge flashplugin-nonfree from your system and install it with apt-get see if it helps

Denilson Sá (denilsonsa) wrote :

Is the update already commited to the main repository? I have a new ubuntu system (installed about two weeks ago) and I still can't install flashplayer correctly. Here is the synaptic output:

(there is also a side-bug, because synaptic window says "Successfully applied all changes", I may post the screenshot later)

Preconfiguring packages ...
(Reading database ... 117289 files and directories currently installed.)
Preparing to replace flashplugin-nonfree 9.0.31.0.2ubuntu1 (using .../flashplugin-nonfree_9.0.31.0.2ubuntu1_i386.deb) ...
Unpacking replacement flashplugin-nonfree ...
Setting up flashplugin-nonfree (9.0.31.0.2ubuntu1) ...
Downloading...
--11:07:39-- http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
           => `./install_flash_player_9_linux.tar.gz'
Resolving fpdownload.macromedia.com... 72.247.210.70
Connecting to fpdownload.macromedia.com|72.247.210.70|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2,608,602 (2.5M) [application/x-gzip]

    0K .......... .......... .......... .......... .......... 1% 93.80 KB/s
[...]
 2500K .......... .......... .......... .......... ....... 100% 114.16 KB/s

11:08:06 (95.08 KB/s) - `./install_flash_player_9_linux.tar.gz' saved [2608602/2608602]

Download done.
md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

Conrad Knauer (atheoi) wrote :

CrazyTerabyte: The update (9.0.48.0.0ubuntu1~7.04.1) is in the feisty-updates repository, in multiverse.

The version you were trying to install is the old one (9.0.31.0.2ubuntu1) from the regular feisty multiverse repository.

In Synaptic, go Settings -> Repositories

In the "Updates" tab, put an 'X' in "Recommended updates (feisty-updates)"

Press Reload and you should be able to install the 9.0.48 version.

Denilson Sá (denilsonsa) wrote :

I ask to myself if the average Ubuntu user will be able to figure that by himself.

Conrad Knauer (atheoi) wrote :

CrazyTerabyte: Someone actually filed a bug report about that, BTW :)

Bug #119248 in apt (Ubuntu)
first reported on 2007-06-08 by ih
feisty-updates not enabled by default
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/119248

So hopefully it will be enabled in Gutsy (due in the third week of October; https://wiki.ubuntu.com/GutsyReleaseSchedule).

In fact, I'll just leave a note there linking to this bug as to why its important.

Denilson Sá (denilsonsa) wrote :

But again, why this flash update can't be added to the default repository?
(or it will, but only after a long period of time?)

Without adding any extra repository, I received a firefox update, among some other packages. Why not flashplayer too?

John Vivirito (gnomefreak) wrote :

Its very hard to get an update into a stable dist. as it is since one bad upload can hurt your system. This is a security update there for it belongs in feisty-updates but feisty-proposed is to test the package before uploading to see if it will break systems. than we can move it to feisty-updates. As far as i know its been sent and should be in there, If you want feisty-updates repo enabled by default than please comment on Bug #119248

Denilson Sá (denilsonsa) wrote :

Ok, looks like this update has been finally added to main repository. Now I can say: problem solved. 2 weeks and half after the issue has been detected. I don't want to troll here, but just think to yourselves how many people might have just installed Ubuntu in that time, and found that flashplayer did not work (even though synaptics says it has been installed successfully, I have one screenshot if needed).

What I'm seeing here (every time I try to reinstall) is the download seems to work to 100%, it announces the download is finished, then announces the md5sum mismatch on the gz file, and concludes with a notice that the Flash plugin is NOT installed.

Works fine on another machine. I saw a lot of diagnostic stuff earlier in the thread, but not sure what, if anything would be helpful.

If it's the same problem, it doesn't seem to be closed here. Or is it possible that I'm getting my downloads from a regional mirror that has not yet been updated? (I'm physically in Japan.)

John Vivirito (gnomefreak) wrote :

Shanen did you enable feisty-update repos?
Crazy, we have thousands of packages to work on for gutsy once fixed in gutsy we can talk about building for feisty. Since these packages are NOT really maintained we try our best to do it as soon as possible.

All of the update repositories are enabled except for pre-release. I really don't want to do any beta testing that I can avoid.

I'm not sure what you mean by "crazy", and I don't want to say anything about the complexity of your work. I'm even willing to go somewhat out of my way to answer any questions about the problems that I'm able to understand.

However, fundamentally I'm just a diner who'd like to eat a tasty meal cooked Ubuntu-style. Lots of us out here, but we have no ambitions to be master chefs, and if the Ubuntu 'restaurant' is too much hassle, we'll go back to Windows, even if we're sick and tired of the Microsoft gruel. Actually, I don't even like the Flash stuff. I'm a content guy and I find Flash too light and unfilling, but it's heavily used. At least Adobe seems to be making a sincere effort to support LInux (in strong contrast to Microsoft's efforts to sabotage or destroy anything they don't own).

Because of my love of freedom translated into a dislike for Microsoft, I'm willing to go the extra mile to try to stay with Ubuntu, but I've already been through a number of experiences of difficulties. I suspect that many other wannabe users of Ubuntu fell (back to Windows) at each of those hurdles... This Flash hurdle is one that I've been trying to get over for a long time.

John Vivirito (gnomefreak) wrote :

Crazy was to CrazyTerabyte not to you. we update packages as fast as possible. Im not saying we are flawless but we as in ubuntu are always looking for more people to help out with packaging and fixing bugs or just helping in forums or on iRC but we cant get everything fixed "right a way". If flash would change thier license it would be alot easier and alot faster for us to get updates to users, but we cant change anything in flash code so we reley on them to release it. Just before release a few of us tested flash 9.0.48 and it had alot of regressions it was crashing all the time it had a horizontal streak in it and a bunch of other issues. When we were sure breakage was to a minimum we released the new version to feisty-proposed for testing, at that point i needed 2 people to confrim it worked ok, than i had to set tags ping core-devs for them to push it to feisty-updates but since flash was never free it was never in main to begin with its always been in multiverse. The reason for all this just to get a package into feisty is due to stable release updates rules https://wiki.ubuntu.com/MOTU/SRU
this is to prevent packages to being upgraded to a stable system that are not stable themselves and cause your stable system to crash. We do our best to prevent this.

Well, putting on my professional technical editor hat, I would ask you [John Vivirito] to be careful about the precision of your wording. You seemed to be asking me about the update repositories, which do appear on a specific Updates tab of the Settings->Repositories. However, it now appears you were asking about Multiverse on the Ubuntu Software tab. However, I would not be able to install or reinstall the Flash package in question if that repository were not already selected.

My bottom line is I still can't watch Flash content on this particular Ubuntu machine.

Peter (nitep) wrote :

After reading the criticism here I want to say that plenty of us think you are doing a good job. Also look at https://answers.launchpad.net/ubuntu/+question/10061
for further help.

John Vivirito (gnomefreak) wrote :

Shanen, Please paste the output of cat /etc/apt/sources.list so i can better help you. This is not the place for support but sinc eyou still cant get it working I will be glad to try and help you. If you want real time help please join #ubuntu on irc.freenode.net.

Below is the output you requested. I also tried another reinstall just to see the same error message as before.

shanen@uLG40:~$ cat /etc/apt/sources.list
# deb cdrom:[Ubuntu 5.10 _Breezy Badger_ - Release i386 (20051012)]/ breezy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://archive.ubuntu.com/ubuntu/ feisty universe main restricted multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu feisty-security main restricted

deb http://security.ubuntu.com/ubuntu feisty-security universe

## Ubuntu PLF
# http 100mbit/s Dedibox
# deb http://packages.freecontrib.org/ubuntu/plf/ edgy free non-free
# deb-src http://packages.freecontrib.org/ubuntu/plf/ edgy free non-free

Toma (tomhaste) wrote :

Maybe this has shown us the need for universe and multiverse to be included in the feisty-updates line?

.. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.

Interesting?

@shanen

Just add universe and multiverse to your feisty-updates line.
eg.

deb http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted multiverse universe

and you should be good to go.

I interpreted your instructions as meaning to manually edit the sources.list file to add "multiverse universe" to the line that mentioned the feisty-updates. After doing this, I started Synaptic and did a reload, and it now told me that four packages needed to be upgraded, including the flashplugin-nonfree package. When applied, it did not download the Flash package again (so it must still be cached locally), but it did announced that the Flash plugin was installed.

Unfortunately, that does not seem to have resolved the problem. Still no Flash content.

Oh yes. And a full reboot, too, just to make sure.

Not sure if it will help in the diagnosis, but I'll note that the particular website that I'm trying to test from is the Comedy Central website. They have different versions of the video, but I'm using the same steps that work on a different Ubuntu machine... The main difference between these two machines is that the non-working machine was upgraded in steps from Breezy Badger, while the working machine was a fresh install from a Feisty CD.

John Vivirito (gnomefreak) wrote :

Can you please to remove flashplugin-nonfree and reinstall it.
sudo apt-get remove --purge flashplusin-nonfree
sudo apt-get install flashplugin-nonfree

Guessing the "you" of the previous post was me. Done that, also rebooted, No joy.

Alexander Sack (asac) wrote :

On Sun, Aug 05, 2007 at 10:08:49AM -0000, shanen (Shannon Jacobs) wrote:
> Guessing the "you" of the previous post was me. Done that, also
> rebooted, No joy.
>

So do you still get the md5sum mismatch?

When you open about:plugins (type into URL location bar and hit enter)
in firefox ... do you see anything registered for shockwave/flash ?

 - Alexander

No, the md5sum error went away after the manual editing of the sources.list file.

The about:plugins returns the following information, which seems to show that a version of the Flash plugin is now installed--but I'm pretty sure this is an old version and that Adobe is currently at 8 or 9? I'm quite hesitant to start mangling my Ubuntu with non-approved software from sources I don't much trust. (Yeah, Adobe, I'm talking about you.)

Shockwave Flash

    File name: libflashplayer.so
    Shockwave Flash 7.0 r68

MIME Type Description Suffixes Enabled
application/x-shockwave-flash Shockwave Flash swf Yes
application/futuresplash FutureSplash Player spl Yes

However, the test website still responds as below. The links in those error messages point at the Adobe website for Windows problems. The test website is not very smart, and basically any and all problems produce this error message, and I can't tell which version of Flash they are insisting upon or if it is some other problem altogether. I don't want to work out these details... I'd prefer it just works. (And I still think there are lots of diners like me out here.)

You need to upgrade your Flash Player by clicking this link.

If you see this and have already upgraded we suggest you follow this link to uninstall Flash and reinstall again.

Alexander Sack (asac) wrote :

On Sun, Aug 05, 2007 at 09:00:09PM -0000, shanen (Shannon Jacobs) wrote:
> No, the md5sum error went away after the manual editing of the
> sources.list file.
>
> The about:plugins returns the following information, which seems to show
> that a version of the Flash plugin is now installed--but I'm pretty sure
> this is an old version and that Adobe is currently at 8 or 9? I'm quite
> hesitant to start mangling my Ubuntu with non-approved software from
> sources I don't much trust. (Yeah, Adobe, I'm talking about you.)
>
> Shockwave Flash
>
> File name: libflashplayer.so
> Shockwave Flash 7.0 r68
>
> MIME Type Description Suffixes Enabled
> application/x-shockwave-flash Shockwave Flash swf Yes
> application/futuresplash FutureSplash Player spl Yes

Yes you are right ... your firefox has the old flash player.

Look in the directory $HOME/.mozilla/plugins/ and check if there is
any libflashplayer.so/flashplayer.xpt file in there. If so, just
delete those files and see if restarting firefox brings you the
flashplayer actually installed through ubuntu ... which should be
flash 9 if you are on feisty or gutsy.

 - Alexander

Eureka! That seems to have done the trick.

I'm greatly appreciative, but I still have to suggest that someone's installer, either at the Adobe side or Ubuntu side, should be checking for earlier versions and removing them... Thanks again.

John Vivirito (gnomefreak) wrote :

I believe that is done on ubuntus side and for most it did, i think that dpkg failed on md5sums created the issue but should no longer be present everyones should work as expected at this point in time,

Basically I'm just happy that it finally works and that one more thread linking me to Windows has been cut.

However, I'm doubtful of that explanation for the cause. My understanding was that the md5sums problem was recent, whereas my Flash problems on this machine went back for many months. I actually suspect there was some problem around the time of version 8, and it may be quite widespread--but masked by the functioning (in most conditions) of the older Flash plugin.

^rooker (rooker) wrote :

Sorry, but I can't figure it out why the "md5sum mismatch" still persists on a fresh Dapper install (6.06.1).
I've enabled dapper-backports and it's trying to fetch "flashplugin-nonfree_9.0.31.0.1ubuntu1~dapper1_i386.deb". If I understood correctly, the version number of the package is irrelevant, since they all link to the "most recent" version of flash at Adobe's website.

Personally, I could live with the workaround of manually downloading/unpacking the flashplugin files, but it's hard to explain *why* this is necessary at all, to new users.
I've setup several computers during the last weeks and I expected this checksum problem to be temporary (due to changes from Adobe), but why can't the checksum just be updated in the packages in the repos?

Ruben Romero (huayra) wrote :

I had this problem now, after the release.

The strange thing is that yesterday after removing and installing flash plugin nonfre package version 9 did work (I checked it at Adobe's site,) but today it just went back to version 7.

I used the trick in this page (removing the flash .so library from the local user plugin folder) and it worked.

Does this make sense? It did work yesterday as v9 but reverted back to v7 today after the restart of the computer...

R.

I just reproduced this bug with Ubuntu 7.10

There is what itt print after the download :

Download done.
md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

Changed in flashplugin-nonfree:
status: Fix Released → Incomplete
Dara Adib (daradib) wrote :

Mr. Coté, this is not the correct bug. The correct bug is bug 173890. See http://ubuntuforums.org/showthread.php?t=636397 for more information on this bug.

Dara Adib (daradib) wrote :

Reverted back to old status.

Changed in flashplugin-nonfree:
status: Incomplete → Fix Released
Sebastian Breier (tomcat42) wrote :

Ubuntu 7.10 amd64

I had exactly the same error (never before) when I upgraded to 9.0.48.0.0ubuntu1~7.04.2.

Uninstalling + Installing flashplugin fixed it. Should this be reopened? Does anybody else experience this?

Mark Fraser (launchpad-mfraz) wrote :

Kubuntu 7.10 x86

Updated Flash player yesterday after which Flash wouldn't work in Firefox. Had to uninstall and reinstall to get it working again.

Ditto me on the checksum error.

By the way, I've stopped recommending Ubuntu to non-technical friends. I used to think it was pretty much ready to go as a replacement for Windows, but it has been evolving in a negative direction lately...

Dara Adib (daradib) wrote :

Please do not post to this bug. This is the incorrect bug. The issue is Bug 17390 (a newer bug). Please avoid adding comments to that bug since the comments are already long enough.

If you want a quick and simple solution (through a fixed deb package), please see http://ubuntuforums.org/showthread.php?t=636397

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.